scp-dbus-service.py crashed with UnboundLocalError in now_connected(): local variable 'tuple' referenced before assignment

Bug #744783 reported by Sergiy Matrunchyk on 2011-03-29
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: system-config-printer

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Natty (development branch)
Release: 11.04
Codename: natty

$ uname -a
Linux adm08 2.6.38-7-generic-pae #39-Ubuntu SMP Fri Mar 25 21:21:38 UTC 2011 i686 i686 i386 GNU/Linux

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: system-config-printer-common 1.3.1+20110222-0ubuntu11
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Uname: Linux 2.6.38-7-generic-pae i686
NonfreeKernelModules: nvidia
Architecture: i386
CupsErrorLog:

Date: Tue Mar 29 09:45:30 2011
ExecutablePath: /usr/share/system-config-printer/scp-dbus-service.py
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InterpreterPath: /usr/bin/python2.7
Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No destinations added.
Papersize: a4
ProcCmdline: /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
ProcEnviron:
 LANGUAGE=uk_UA:en
 PATH=(custom, user)
 LANG=uk_UA.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic-pae root=UUID=200ca29d-4202-40f3-8f69-80dcd1035b63 ro
PythonArgs: ['/usr/share/system-config-printer/scp-dbus-service.py']
SourcePackage: system-config-printer
Title: scp-dbus-service.py crashed with UnboundLocalError in now_connected(): local variable 'tuple' referenced before assignment
Traceback:
 Traceback (most recent call last):
   File "/usr/share/system-config-printer/jobviewer.py", line 2074, in now_connected
     notification = self.state_reason_notifications[tuple]
 UnboundLocalError: local variable 'tuple' referenced before assignment
UpgradeStatus: Upgraded to natty on 2011-03-21 (7 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/03/2010
dmi.bios.vendor: Intel Corp.
dmi.bios.version: TMIBX10H.86A.0029.2010.0203.1403
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: DQ57TM
dmi.board.vendor: Intel Corporation
dmi.board.version: AAE70931-402
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0029.2010.0203.1403:bd02/03/2010:svn:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-402:cvn:ct3:cvr:

tags: removed: need-duplicate-check
visibility: private → public
Tim Waugh (twaugh) wrote :

Fixed in upstream commit 6a245d9.

Till Kamppeter (till-kamppeter) wrote :

Tim, thanks for the fix, I have applied it in 1.3.1+20110222-0ubuntu14 now.

Changed in system-config-printer (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.1+20110222-0ubuntu14

---------------
system-config-printer (1.3.1+20110222-0ubuntu14) natty; urgency=low

  * debian/patches/63_more-error-handling-in-scp-dbus-service.patch:
    More error handling in scp-dbus-service.py (LP: #744783).
  * debian/patches/60_ensure-consistency-in-jobviewer-if-add-job-fails.patc:
    Ensure consistency in jobviewer if add-job fails (LP: #748366, Red Hat
    bugs #693055 and #632551).
  * debian/patches/57_make-sure-everything-is-ready-before-handlers-might-be-called.patch:
    Make sure everything is ready before handlers might be called.
    The NPTNetworkHostname entry widget seems to be emitting 'changed'
    (and the handler is called) immediately as it is initialised to the
    empty string. Make sure our handler is ready for that (LP: #749762,
    Red Hat bug #689336).
 -- Till Kamppeter <email address hidden> Wed, 13 Apr 2011 12:55:00 +0100

Changed in system-config-printer (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers